com.smartgwt.client.bean

## Class BeanFactoryForBaseWidget<BeanClass extends BaseWidget>

- java.lang.Object
- - com.smartgwt.client.bean.BeanFactory<BeanClass>
  - - com.smartgwt.client.bean.BeanFactoryForBaseWidget<BeanClass>

-     public abstract class BeanFactoryForBaseWidget<BeanClass extends BaseWidget>
      extends BeanFactory<BeanClass>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanFactory

      `BeanFactory.AnnotationMetaFactory, BeanFactory.CanvasMetaFactory, BeanFactory.FormItemMetaFactory, BeanFactory.FrameworkClass, BeanFactory.Generate, BeanFactory.MetaFactory, BeanFactory.ScClassName`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.bean.BeanFactory

      `properties, sgwtFactory, superclassFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanFactoryForBaseWidget()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `applyFactoryProperties(BeanClass bean)`
    `com.google.gwt.core.client.JavaScriptObject` | `doGetOrCreateJsObj(java.lang.Object bean)`
    `void` | `doSetJsObj(java.lang.Object bean, com.google.gwt.core.client.JavaScriptObject jsObj)`
    `protected java.lang.Object` | `getJavascriptProperty(BeanClass bean, java.lang.String property)`
    `boolean` | `isFactoryCreated(BeanClass bean)`
    `protected void` | `setJavascriptProperty(BeanClass bean, java.lang.String propertyName, java.lang.Object value)`
    `protected void` | `setNativeAttribute(com.google.gwt.core.client.JavaScriptObject config, java.lang.String propertyName, java.lang.Object value)`
    `protected void` | `setNativeProperty(BeanClass bean, java.lang.String propertyName, java.lang.Object value)`

    - ### Methods inherited from class com.smartgwt.client.bean.BeanFactory

      `clearFactoryProperties, createSuperclassFactory, doGetProperty, doGetPropertyAsString, doNewInstance, doSetProperties, doSetProperty, getAttributes, getAttributes, getAttributes, getBeanClass, getBeanClassName, getDefaultScClassName, getDefaultScClassName, getFactory, getFactory, getFactory, getFactoryProperties, getFactoryPropertiesClass, getMethods, getOrCreateJsObj, getProperties, getProperty, getPropertyAsString, getSGWTModule, getSuperclass, isFrameworkClass, isFrameworkClass, newInstance, newInstance, newInstance, newInstance, newInstance, newInstance, newInstance, newInstance, newInstance, noFactoryException, noFactoryException, registerClassNameWithSGWTFactory, registerFactory, registerValueTypes, setJsObj, setProperties, setProperty, triggerStaticInitializers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanFactoryForBaseWidget

          public BeanFactoryForBaseWidget()

  - ### Method Detail

    - #### setJavascriptProperty

          protected void setJavascriptProperty(BeanClass bean,
                                               java.lang.String propertyName,
                                               java.lang.Object value)

      Specified by:
        `setJavascriptProperty` in class `BeanFactory<BeanClass extends BaseWidget>`

    - #### setNativeProperty

          protected void setNativeProperty(BeanClass bean,
                                           java.lang.String propertyName,
                                           java.lang.Object value)

    - #### setNativeAttribute

          protected void setNativeAttribute(com.google.gwt.core.client.JavaScriptObject config,
                                            java.lang.String propertyName,
                                            java.lang.Object value)

    - #### getJavascriptProperty

          protected java.lang.Object getJavascriptProperty(BeanClass bean,
                                                           java.lang.String property)

      Specified by:
        `getJavascriptProperty` in class `BeanFactory<BeanClass extends BaseWidget>`

    - #### doGetOrCreateJsObj

          public com.google.gwt.core.client.JavaScriptObject doGetOrCreateJsObj(java.lang.Object bean)

      Specified by:
        `doGetOrCreateJsObj` in class `BeanFactory<BeanClass extends BaseWidget>`

    - #### doSetJsObj

          public void doSetJsObj(java.lang.Object bean,
                                 com.google.gwt.core.client.JavaScriptObject jsObj)

      Specified by:
        `doSetJsObj` in class `BeanFactory<BeanClass extends BaseWidget>`

    - #### isFactoryCreated

          public boolean isFactoryCreated(BeanClass bean)

      Specified by:
        `isFactoryCreated` in class `BeanFactory<BeanClass extends BaseWidget>`

    - #### applyFactoryProperties

          protected void applyFactoryProperties(BeanClass bean)

      Specified by:
        `applyFactoryProperties` in class `BeanFactory<BeanClass extends BaseWidget>`